(* $Id: pixmap.ml,v 1.4 2006/05/27 17:12:47 deraugla Exp $
 *
 * Rogloglo Toolkit: pixmaps
 *)

open Xlib;
open Std;
open Rtdecl;

value rt_create_pixmap xd width height =
  let pixmap = xCreatePixmap (xd.dpy, xd.rootw, width, height, xd.depth) in
  {pixm_xd = xd; pixmap = pixmap}
;

value rt_select_pixmap pix = (
  let xd = pix.pixm_xd in
  xSetTile (xd.dpy, xd.gc, pix.pixmap);
  xSetFillStyle (xd.dpy, xd.gc, fillTiled)
);
